
Infrastructure - Task #4474

Story # 4461 (Closed): CCI 1.2.6 Feature Release

create new tag release of d1_common_java

2014-03-17 21:45 - Rob Nahf

Status: Closed Start date: 2014-04-17

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: 2014.18-Block.3.1   

Milestone: None Story Points:  

Product Version: *   

Description

There have been a couple of new functional additions since the latest tag (1.1.3), and a few bug fixes.

The current artifact in trunk is 1.3.0-SNAPSHOT, and there is no 1.2 branch, so we'll need to reconcile that.

The tag should include all of the bug fixes, which could be merged into the current 1.1 branch.

We'll need to look into who's using the new functionality before decide between cutting a new branch and simply decrementing the

trunk minor version to 1.2.

What's changed vs. 1.1.3 tag

Settings: bug fix: setting the default list delimiter was moved from the getConfiguration() method to a static block - so that when an

application changes the default, it doesn't revert when getConfiguration is called.

TypeCompareUtil: new class used by tidy (and possibly d1_cn_audit), neither are branched or tagged

AuthUtils:  javadoc comment added for comparePermissions(...)

ChecksumUtil:  new method areChecksumsEqual(cs1, cs2)

DateTimeMarshaller: bug fix: timezone pattern corrected to require both minute digits in the zone offset (as per 

http://www.w3.org/TR/xmlschema-2/#dateTime  requires leading zeros in minutes field)

EncodingUtilities: bug fix - avoid NPE in decodeString(string) when null string passed in

TypeMarshaller: bug fix - avoid NPE in unmarshalTypeFromStream(...) if inputstream parameter is null

MultipartRequestResolver: Bug Fix: Removed "new FileOutputStream" statement which is never used or closed (as it causes a

resource leak)

Subtasks:

Task # 5125: create v1.2 branch for common_java Closed

Task # 5126: create 1.2.0 tag for d1_common_java Closed

Related issues:

Related to Infrastructure - Bug #5311: MultipartRequestResolver leaking resou... Closed 2014-05-02 2014-05-10

History

#1 - 2014-03-19 16:13 - Rob Nahf

- Description updated

#2 - 2014-04-17 16:04 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 50

the Checksum.areChecksumsEqual method is likely the only new feature in the library that would be in CN component code, and we don't know if it is

being used.  However, it is over a year old (added 3/22/2013), so it's probably better to do a new branch than create a patch release of the current

branch. 

Will create 1.2 branch of common_java.
#3 - 2014-05-05 21:47 - Skye Roseboom

- Target version changed from 2014.14-Block.2.3 to 2014.18-Block.3.1

#4 - 2014-05-06 17:43 - Rob Nahf

- Description updated

#5 - 2014-10-02 20:52 - Robert Waltz

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0
